0

I'm getting these messages in logs:

MESSAGE Warning: EGit couldn't detect the installation path "gitPrefix" of native Git.

Hence EGit can't respect system level Git settings which might be configured in ${gitPrefix}/etc/gitconfig under the native Git installation directory.

The most important of these settings is core.autocrlf. Git for Windows by default sets this parameter to true in this system level configuration.

The Git installation location can be configured on the: Team > Git > Configuration preference page's 'System Settings' tab.

This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.

ENTRY org.eclipse.egit.ui 2 0 2015-09-15 10:15:02.241

MESSAGE Warning: The environment variable HOME is not set. The following directory will be used to store the Git user global configuration and to define the default location to store repositories: C:\Users\jais. If this is not correct please set the HOME environment variable and restart Eclipse. Otherwise Git for Windows and EGit might behave differently since they see different configuration options.

This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.

ENTRY org.eclipse.wst.sse.ui 2 0 2015-09-15 17:06:28.848

MESSAGE The ''com.ibm.etools.webtools.dojo.ui.contentassist.DojoTypeAttribute'' proposal computer from the ''com.ibm.etools.webtools.dojo.ui'' plug-in did not complete normally. The extension has thrown a runtime exception.

STACK 0

Installed JDK in Environment variable and I tried all possible solutions(like increased the heap memory, in CLI ecllipse -clear,and i unchecked the egit etc), but nothing was working.

  • @kenorb did a good job trying to format this, but I'm still confused by what are error messages, and what are your own findings, and above all: what your question is. So, please edit some more, Jai. – Arjan Sep 21 '15 at 12:27
0

Based on this thread, you have to install the Platform SDK.

This can be achieved in Eclipse IDE for Eclipse Committers (Eclipse Standard) by installing it from Eclipse Platform Plug-in Developer Resources.

Alternatively install it from: Help→Install New Software→The Eclipse Project Updates.

The EGit warnings is related to something else.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.